html, body {
    padding: 0;
    margin: 0;
    width: 100%;
    height: 100%;
    overflow-x: hidden;
    background-color: #09a314;
}

#sevens {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100vh;
    padding: 5px;
}

#sevens #board, #sevens #player {
    display: flex;
    width: 100%;
}

#sevens #board {
    display: flex;
    height: 300px;
    position: absolute;
}

#sevens #deck {
    margin-top: 50px;
    margin-bottom: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    flex: 1 1 auto;
    overflow: hidden;
}

#sevens #game {
    display: flex;
    flex-direction: column;
    flex: 0 0 200px;
    height: 100%;
    border-left: 2px solid #000;
    padding: 10px;
    z-index: 5;
}

#sevens #player {
    margin-top: 300px;
    border-top: 2px solid #000;
    z-index: 10;
    background-color: #09a314;
}

#sevens #player #hand {
    flex: 1 1 auto;
    display: flex;
    column-gap: 10px;
    row-gap: 20px;
    align-content: flex-start;
    flex-wrap: wrap;
    flex-direction: row;
    padding-top: 10px;
}

#sevens #player #controls {
    gap: 10px;
    flex: 0 0 200px;
    display: flex;
    /*display: none;*/
    flex-direction: column;
    border-left: 2px solid #000;
    padding: 10px;
}

#sevens #deck .deck-placeholder {
    display: block;
}

#sevens #game table {
    width: 100%;
    color: #fff;
}

#sevens .card, #sevens .placeholder {
    display: inline-flex;
    background: none;
    border: none;
    width: 120px;
    cursor: pointer;
    padding: 0;
    margin: 0;
    font-size: 0;
    border-radius: 5px;
    overflow: hidden;
}

#sevens #deck .card {
    position: absolute;
    margin-left: -120px;
}

#sevens .row {
    display: flex;
    width: 100%;
    flex: 1;
    flex-direction: column;
}

#sevens .row.hide {
    display: none;
}

#sevens .col-full {
    width: 100%;
    display: flex;
    flex-direction: row;
    flex: 1;
}

@media (min-width: 576px) {
  #sevens .modal-dialog {
    max-width: 500px;
    margin: 1.75rem auto;
  }
}

@media only screen and (max-width: 810px) {
    #sevens #board {
        height: 260px;
    }

    #sevens #player {
        margin-top: 260px;
    }

    #sevens .card, #sevens .placeholder {
        width: 100px;
    }

    #sevens #deck .card {
        margin-left: -100px;
    }
}

@media only screen and (max-height: 315px) {
    #sevens .card, #sevens .placeholder {
        width: 80px;
    }

    #sevens #deck .card {
        margin-left: -80px;
    }
}

#sevens #deck .card-lower {
    margin-top: -40px;
}

#sevens #deck .card-higher {
    margin-top: 40px;
}

#sevens .card-highlight {
    border: 4px solid #4ee5fc;
}

#sevens .card-warn {
    border: 4px solid #f43c09;
}

#sevens img {
    width: 100%;
    margin: 0;
}

#sevens .text-center {
    text-align: center;
}

#sevens .text-left {
    text-align: left;
}

#sevens .player-turn {
    background-color: #4ee5fc;
}

#sevens .last-card span {
    display: none;
    cursor: pointer;
    background-color: #FFD400;
    color: #000;
    font-size: 12px;
    padding: 0 2px;
}

#sevens #game-info {
    display: none;
    background-color: #fff;
    border: 0;
    border-top: 2px solid #000;
    margin-top: 10px;
    width: calc(100% - 10px);
    height: 300px;
    overflow-y: scroll;
}

#sevens #game-info p {
    margin: 0;
    padding: 0;
}

#sevens button {
    height: 50px;
    border: 0;
    text-transform: uppercase;
    font-weight: bold;
    cursor: pointer;
    width: 100%;
}

#sevens .btn-last-card {
    background-color: #ffd400;
}

#sevens .btn-knocking {
    background-color: #f43c09;
    color: #fff;
    margin-top: 10px;
    margin-bottom: 20px;
    width: calc(100% - 10px);
}

#sevens .btn-submit {
    background-color: #ffd400;
    width: calc(100% - 10px);
}

#sevens .btn-new-game {
    background-color: #2794e8;
    color: #fff;
    width: calc(100% - 10px);
}

#sevens .no-players {
    display: flex;
    width: calc(100% - 10px);
}

#sevens .no-players span {
    color: #fff;
    padding-top: 15px;
    flex: auto;
}

#sevens form {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

#sevens .form-input {
    display: inline-block;
    width: 60px;
    margin-top: 10px;
    background-color: #fff;
    border: 2px solid #000;
    height: 35px;
}

#sevens .modal .form-input, #sevens .modal .btn-new-game {
    width: 100%;
}

#sevens .modal .row.break {
    margin-bottom: 20px;
}

#sevens .modal {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1060;
  display: none;
  width: 100%;
  height: 100%;
  overflow-x: hidden;
  overflow-y: auto;
  outline: 0;
  background-color: #000;
}

#sevens .modal.fade {
  transition: opacity .15s linear;
}

#sevens .modal.show .modal-dialog {
  transform: none;
}
#sevens .modal.fade .modal-dialog {
  transition: transform .3s ease-out;
  transform: translate(0,-50px);
}

#sevens .modal-dialog {
  position: relative;
  width: auto;
  margin: 3.75rem auto;
  pointer-events: none;
}

#sevens .modal-content {
  position: relative;
  display: flex;
  flex-direction: column;
  width: 100%;
  pointer-events: auto;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid rgba(0,0,0,.2);
  border-radius: .3rem;
  outline: 0;
}

#sevens .modal-header {
  display: flex;
  flex-shrink: 0;
  align-items: center;
  justify-content: space-between;
  padding: 1rem 1rem;
  border-bottom: 1px solid #dee2e6;
  border-top-left-radius: calc(.3rem - 1px);
  border-top-right-radius: calc(.3rem - 1px);
}

#sevens .modal-body {
  position: relative;
  flex: 1 1 auto;
  padding: 1rem;
}

#sevens .modal-footer {
  display: flex;
  flex-wrap: wrap;
  flex-shrink: 0;
  align-items: center;
  justify-content: flex-end;
  padding: .75rem;
  border-top: 1px solid #dee2e6;
  border-bottom-right-radius: calc(.3rem - 1px);
  border-bottom-left-radius: calc(.3rem - 1px);
}